Subject: [Tigers] valve cover r/r

From: "Clyde McLaughlin" <[email-masked]>
Date: Sun, 02 Nov 2014 14:34:09 -0500

A quick note:  we all have our technics for proceedures,  but this doesnt
have tobe difficult. Assuming you have used allen head cap screws to secure
the covers,  Snap on has a short swivel allen socket  < drive that with an
extension is a piece of cake or a bottle of beer to reach those peskey rear
screws,  also suggest turning the engine so the back cylinders have the
rockers in the neutral position..also avail is an allen ball socket that has
flexibility built in and works well as long as the socket heads are not worn
or buggered up,  clyde
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]